Summary: spmfilter diskarchive plugin 
Name: spmfilter-diskarchive
Version: 0.1
Release: 1%{?dist}
License: LGPL
Group: Development/Libraries
Vendor: spmfilter.org
URL: http://www.spmfilter.org
Requires: spmfilter >= 0.4.0
Requires: glib2 >= 2.12

BuildRequires: libstdc++-devel
BuildRequires: gcc-c++
BuildRequires: cmake >= 2.6
BuildRequires: glib2-devel >= 2.12
BuildRequires: spmfilter-devel >= 0.4.0
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source: %{name}-%{version}.tar.gz

%description
Simple plugin to archive messages on local disk.

%prep

%setup -q -n %{name}-%{version}

%build
%ifarch x86_64
cmake -DPREFIX=/usr -DLIBDIR:STRING=lib64 .
%else
cmake -DPREFIX=/usr .
%endif
make 
  
%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/spmfilter/libdiskarchive*
%{_mandir}/man*/*

%changelog
* Sun Apr 04 2010 Axel Steiner <ast@treibsand.com> 0.1
- initial Version
